#include "nRF24.h"

#define TRANSFER_SIZE   3
nRF24L01P       nRF24_mod(PA_7, PA_6, PA_5, PA_12, PA_11, PB_8);
// MOSI, MISO, SCK, CSN, CE, IRQ

char k;
char    dataToSend[TRANSFER_SIZE] = {0,0,0};
char    dataReceived[TRANSFER_SIZE] = {0,0,0};
char    rxDataCnt;
char data1; 
char data2;
char data3; 
char data4; 
char data;
int distance0; 
int angle;


// Fonction d'initialisation du module BT nRF24L01
void initNRF24(){
    nRF24_mod.powerUp();
    wait_us(100000);
    nRF24_mod.setAirDataRate(NRF24L01P_DATARATE_250_KBPS);
    nRF24_mod.setRfFrequency(2400);
    wait_us(100000);
    nRF24_mod.setTransferSize( TRANSFER_SIZE );
    nRF24_mod.setReceiveMode();
    nRF24_mod.enable();
}

void Reception_NRF24(void)
{   
    char dataReceived[TRANSFER_SIZE]={0,0,0};
    /* Lecture donnée depuis nRF24 */
    if ( nRF24_mod.readable() ) 
    {
        // ...read the data into the receive buffer
        rxDataCnt = nRF24_mod.read( NRF24L01P_PIPE_P0, dataReceived, TRANSFER_SIZE);
    }   
}

void Envoie_NRF24(void){
    if(bp_int == 0){
            nRF24_mod.setRfFrequency(2400);
            nRF24_mod.write( NRF24L01P_PIPE_P0, dataToSend, TRANSFER_SIZE ); 
        }
    }